package com.fs.live.service;

import java.util.List;

import com.fs.common.core.domain.R;
import com.fs.live.domain.LiveTrafficLog;
import com.fs.live.param.LiveFinishUParam;
import com.fs.live.param.LiveTrafficLogParam;
import com.fs.live.vo.LiveTrafficLogListVO;

/**
 * 直播流量记录Service接口
 *
 * @author fs
 * @date 2025-10-13
 */
public interface ILiveTrafficLogService
{
    /**
     * 查询直播流量记录
     *
     * @param logId 直播流量记录ID
     * @return 直播流量记录
     */
    public LiveTrafficLog selectLiveTrafficLogById(Long logId);

    /**
     * 查询直播流量记录列表
     *
     * @param liveTrafficLog 直播流量记录
     * @return 直播流量记录集合
     */
    public List<LiveTrafficLog> selectLiveTrafficLogList(LiveTrafficLog liveTrafficLog);

    /**
     * 新增直播流量记录
     *
     * @param liveTrafficLog 直播流量记录
     * @return 结果
     */
    public int insertLiveTrafficLog(LiveTrafficLog liveTrafficLog);

    /**
     * 修改直播流量记录
     *
     * @param liveTrafficLog 直播流量记录
     * @return 结果
     */
    public int updateLiveTrafficLog(LiveTrafficLog liveTrafficLog);

    /**
     * 批量删除直播流量记录
     *
     * @param logIds 需要删除的直播流量记录ID
     * @return 结果
     */
    public int deleteLiveTrafficLogByIds(Long[] logIds);

    /**
     * 删除直播流量记录信息
     *
     * @param logId 直播流量记录ID
     * @return 结果
     */
    public int deleteLiveTrafficLogById(Long logId);

    List<LiveTrafficLogListVO> selectTrafficByCompany(LiveTrafficLogParam param);

    R getInternetTraffic(LiveFinishUParam param);

    R getLiveInternetTraffic(LiveFinishUParam param);
}
